GNU bug report logs - #42207
28.0.50; (where-is-internal) reports incorrect binding

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Dima Kogan <dima@HIDDEN>; Keywords: confirmed; merged with #23543; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.1, send any further explanations to 42207 <at> debbugs.gnu.org and Dima Kogan <dima@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42207 <at> debbugs.gnu.org:


Received: (at 42207) by debbugs.gnu.org; 6 Jun 2022 14:43:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 06 10:43:49 2022
Received: from localhost ([127.0.0.1]:36451 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nyDxN-0000YV-Gi
	for submit <at> debbugs.gnu.org; Mon, 06 Jun 2022 10:43:49 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41140)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>)
 id 1nyDxK-0000Xv-JN; Mon, 06 Jun 2022 10:43:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=BZ/vUNgniviwCiVux9ftfbOjxr71iwsPhxquY2tt3UM=; b=fUwsiX45YDTMMd8BON2p+Sio80
 vP6aOsi94sL3E7VYJHzXkkFhZobsMyv6KHrn/pLluNtAIcZx3x6IW2TeEZn+kFsJ9JdQ1knM461fF
 6qkxJcSvETTFm2cJoFGILtKuExQEeGO0YB7/zQ2I7ELzpmjZbqeH9F9yjFHQ6b/ZvONU=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nyDxB-0004EB-8P; Mon, 06 Jun 2022 16:43:39 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#42207: 28.0.50; (where-is-internal) reports incorrect binding
References: <eaacb625-2b13-4527-8847-9246c2e21038@default>
 <87r26abaex.fsf@HIDDEN>
X-Now-Playing: Gosane's _Tuxedomooning: A Tribute_: "Desire"
Date: Mon, 06 Jun 2022 16:43:36 +0200
In-Reply-To: <87r26abaex.fsf@HIDDEN> (Lars Ingebrigtsen's message of
 "Sun, 28 Jul 2019 14:39:34 +0200")
Message-ID: <87r141svhj.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: >> (define-key
 global-map [remap eval-last-sexp] 'pp-eval-last-sexp) >> >> Put point after
 a Lisp sexp somewhere, and do `M-x eval-last-sexp'. >> >> You see this echoed:
 >> >> You can run the command [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42207
Cc: 42207 <at> debbugs.gnu.org, 23543 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

>> (define-key global-map [remap eval-last-sexp] 'pp-eval-last-sexp)
>>
>> Put point after a Lisp sexp somewhere, and do `M-x eval-last-sexp'.
>>
>> You see this echoed:
>>
>>   You can run the command 'eval-last-sexp' with C-x C-e
>>
>> But that is incorrect.  You cannot run `eval-last-sexp'
>> using `C-x C-e', since it has been remapped to command
>> `pp-eval-last-sexp'.  If you use `C-x C-e' you invoke
>> the latter, not `eval-last-sexp'.
>
> I can confirm that this is still present in Emacs 27.

I've now fixed this in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42207; Package emacs. Full text available.
Forcibly Merged 23543 42207. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 42207 <at> debbugs.gnu.org:


Received: (at 42207) by debbugs.gnu.org; 19 Oct 2021 23:43:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 19 19:43:28 2021
Received: from localhost ([127.0.0.1]:52269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mcylU-00029m-J8
	for submit <at> debbugs.gnu.org; Tue, 19 Oct 2021 19:43:28 -0400
Received: from mail-pj1-f47.google.com ([209.85.216.47]:42776)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1mcylP-00029R-HV
 for 42207 <at> debbugs.gnu.org; Tue, 19 Oct 2021 19:43:27 -0400
Received: by mail-pj1-f47.google.com with SMTP id
 nn3-20020a17090b38c300b001a03bb6c4ebso1149884pjb.1
 for <42207 <at> debbugs.gnu.org>; Tue, 19 Oct 2021 16:43:23 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:in-reply-to:references:user-agent
 :mime-version:date:message-id:subject:to:cc;
 bh=ROuKbsUo1cn4E6SLBFZcdWi5oDqm3qtn/48twzsFZEs=;
 b=7WcdgUdKQVwvQsKnzNEBSTAXKv0IA9CoiZlKJwCASunXMbl+Xq/tjw9RqNACl/MgqI
 dBCPXIAWBAWif5iDGBHAnPp3q1ZI4YfMXdUNSUla4HtIOdYcyAtrssNrBeZYM7Sa7GIe
 7jhAOanfY1eILKWuvIaQN3YNuUhhgqqfY1IYXLqt7FzNiKQ4nIXEbMy8PpO7Tb3UmcCy
 qXvNYKtRmCqbxJwn6o0+I9iGVYuKx61n47wtq3ZN7a5ZA5Mqcttp5pleihH5M/NBW1Ez
 xMP/QWqUVFjFw5FgUosDnBBN/mS7VwyuK9jMb9bIp7osBedCLsg9vkVgr/xe7H6Totn7
 pGwQ==
X-Gm-Message-State: AOAM533P7Istb5FHDqL0wWCjXBQWXPVGjcXllvMauMhZe//uKIRNvRah
 KeuZf7OYPoT9/DZwuKEs6mDVeeDkzGJmzl52Igo=
X-Google-Smtp-Source: ABdhPJy29V8B/vqxt7St0jtm7At5bNZLPtwDIGJhY8jOr7Y7halCFXFBcSqSyxhDI3hjlbzKexmQHBFTJTP9UbPFKC0=
X-Received: by 2002:a17:90b:17d2:: with SMTP id
 me18mr3329230pjb.132.1634686997717; 
 Tue, 19 Oct 2021 16:43:17 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 19 Oct 2021 16:43:17 -0700
From: Stefan Kangas <stefan@HIDDEN>
In-Reply-To: <87o8ourijl.fsf@HIDDEN> (Dima Kogan's message of "Sat, 04
 Jul 2020 16:01:50 -0700")
References: <87o8ourijl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Date: Tue, 19 Oct 2021 16:43:17 -0700
Message-ID: <CADwFkm=Pq2WyhhC9spMDJcB7+PhccK7eEQtFcygQmzFAqJArBA@HIDDEN>
Subject: Re: bug#42207: 28.0.50; (where-is-internal) reports incorrect binding
To: Dima Kogan <dima@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.5 (/)
X-Debbugs-Envelope-To: 42207
Cc: 42207 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.5 (/)

Dima Kogan <dima@HIDDEN> writes:

> Hi. I'm using a pretty recent emacs built from git, although I don't
> think this bug is a recent regression. From a user perspective, the
> issue looks like this:
>
> 1. emacs -Q
> 2. Open any .py file, or just M-x python mode
> 3. M-x forward-se [TAB]
>
> Step 3 asks emacs to complete. There're two matches: forward-sexp and
> forward-sentence. Emacs also helpfully reports the associated bindings
> with each command because suggest-key-bindings is not nil. It says
> that the binding for forward-sentence is M-e, which is NOT the case
> here: M-e is python-nav-forward-block.

Hmm, isn't this basically what you would expect when you remap a
command?  That is, the thing that is actually bound to that key *is*,
properly speaking `forward-sexp'.  It's just that it's remapped to
`python-nav-forward-block'?

That said, I suppose our presentation of this could be smarter, but I'm
not sure what that would look like.  Just not showing the key-binding
for `forward-sentence' doesn't seem right either, does it?

> Digging a bit, I see that the issue is that we call (where-is-internal)
> in simple.el, and this is the issue:
>
>   (key-description (where-is-internal 'forward-sentence nil t))
>
> returns
>
>   "M-e", even in python-mode
>
> This maybe is related to the way this keymap is defined. python-mode-map is
>
>   (keymap
>    .... keys keys keys ...
>    (remap keymap
>           (mark-defun . python-mark-defun)
>           (backward-up-list . python-nav-backward-up-list)
>           (forward-sentence . python-nav-forward-block)
>           (backward-sentence . python-nav-backward-block))
>    ...
>   )
>
> I haven't read about this remap thing yet, and the docstring for
> (where-is-internal) does have a NO-REMAP option, but "M-e" is reported
> regardless of the value of NO-REMAP.
>
> Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42207; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 4 Jul 2020 23:01:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 04 19:01:59 2020
Received: from localhost ([127.0.0.1]:59802 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jrrAV-0002uL-6Y
	for submit <at> debbugs.gnu.org; Sat, 04 Jul 2020 19:01:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:33166)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <dima@HIDDEN>) id 1jrrAS-0002uD-Vl
 for submit <at> debbugs.gnu.org; Sat, 04 Jul 2020 19:01:58 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:53518)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dima@HIDDEN>)
 id 1jrrAS-0007pr-K0
 for bug-gnu-emacs@HIDDEN; Sat, 04 Jul 2020 19:01:56 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:34911)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <dima@HIDDEN>)
 id 1jrrAQ-0005WX-Qs
 for bug-gnu-emacs@HIDDEN; Sat, 04 Jul 2020 19:01:56 -0400
Received: from compute1.internal (compute1.nyi.internal [10.202.2.41])
 by mailout.nyi.internal (Postfix) with ESMTP id 71CB55C00BF
 for <bug-gnu-emacs@HIDDEN>; Sat,  4 Jul 2020 19:01:52 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute1.internal (MEProxy); Sat, 04 Jul 2020 19:01:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=secretsauce.net;
 h=from:to:subject:date:message-id:mime-version:content-type; s=
 fm3; bh=8Kwek7vX7sskeYNc+MtfyJSb6F4IW2DYVBlmSQ4WEnI=; b=N63zZNxe
 Q/wL+7d8liO7GWOKMk6v6yc6UO6HqN+WzZWVAKN99iW29kfSm4yqb9q1ePzx4MVg
 +/9e3W7l+9l4a0cxbrFZR4Lz2A2wqUIhcHsSA/IRp3aOIhQ86IMuAeQtRsmZdBPx
 hQxe5lLum6MFbAQV67DdRH0Q0hA6ASc1wk19XCvpysA/JQvXViSm7i+NEci3PqHw
 EylY3Regg6QvBdaZLGPTvIFYtLMnFWR6/+mDkB8Xxjbce3hR7sNYrNVctrk6h6g2
 SkTCrFz/5bXvYeovfu28JkXNEQCQRC7yV56jPrmsb7v/Jh3UgUVZbe5r/wqJVstk
 U6ZFikm5xIokWQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-proxy:x-me-proxy:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=8Kwek7vX7sskeYNc+MtfyJSb6F4IW
 2DYVBlmSQ4WEnI=; b=bD4vcVxkULOyqleme0917e936n21AhWTepq+WmMZCBUIn
 Td/UaDcGcDhCiO19ASizyoo+qK+3XQfDTflS2uSQ0WnWGA/EpEiZ6vsg7uZbUiAi
 YWhEb8ZMmQBp1HF4zKfKdFiDgmwQ3KQIl+MOkkmIOMPdrBetzd2iKOo1bgmhGE/x
 nR/jbeGJMPkmhMrVaLw1rvaOeUk6JmC6ryD3n3pqzPOR85h4vXlSC9yR1gorjjNt
 IspAQ20humOyB944ZY5GTYCC2+vHpqzZBL44e2Dyg2/Hk6LXy0OSjc62aXS/ycHc
 NeEW0sopwCSG74EL3htRJRG1nNpvAUcJ5l2ZDc+Wg==
X-ME-Sender: <xms:YAoBX50GRPBld_61C7vrjJOg8xhDMjjwqXCtc0kZcwienk2_wseOzQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduiedrtdelgdduhecutefuodetggdotefrodftvf
 curfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfghnecu
 uegrihhlohhuthemuceftddtnecufghrlhcuvffnffculddquddtmdenucfjughrpefhvf
 fufffkgggtsehttdertddttddtnecuhfhrohhmpeffihhmrgcumfhoghgrnhcuoeguihhm
 rgesshgvtghrvghtshgruhgtvgdrnhgvtheqnecuggftrfgrthhtvghrnhepffdvffduhf
 ekfffhieefhfffvddtgfefjeevuedvfedujeejudevfedtgeeguedvnecukfhppedvgedr
 udejrdduieelrdduvddvnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehmrg
 hilhhfrhhomhepughimhgrsehsvggtrhgvthhsrghutggvrdhnvght
X-ME-Proxy: <xmx:YAoBXwH7mfEKUBCwqevB_3l166jTZFRl_UjXFa4_VRderKBwSyPszg>
 <xmx:YAoBX54dX3Dqz6DCbwjllaPh93yIixFahTN6tJrGqcMPnX26W884qg>
 <xmx:YAoBX238puOijqXGBbx2-fA6T2rJ93v9xNDKeJ2sgHBXpvxT9rW3EQ>
 <xmx:YAoBX5mx5L5_YzCD-vsd4FyaTbqpaLivGaI9pjvaj0U5EB2KmM29cQ>
Received: from localhost (c-24-17-169-122.hsd1.wa.comcast.net [24.17.169.122])
 by mail.messagingengine.com (Postfix) with ESMTPA id D31583063C91
 for <bug-gnu-emacs@HIDDEN>; Sat,  4 Jul 2020 19:01:51 -0400 (EDT)
From: Dima Kogan <dima@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; (where-is-internal) reports incorrect binding
Date: Sat, 04 Jul 2020 16:01:50 -0700
Message-ID: <87o8ourijl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: none client-ip=66.111.4.28; envelope-from=dima@HIDDEN;
 helo=out4-smtp.messagingengine.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/04 19:01:52
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=-0.01, RCVD_IN_MSPIKE_WL=-0.01,
 SPF_HELO_PASS=-0.001, SPF_NONE=0.001, URIBL_BLOCKED=0.001 autolearn=_AUTOLEARN
X-Spam_action: no action
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi. I'm using a pretty recent emacs built from git, although I don't
think this bug is a recent regression. From a user perspective, the
issue looks like this:

1. emacs -Q
2. Open any .py file, or just M-x python mode
3. M-x forward-se [TAB]

Step 3 asks emacs to complete. There're two matches: forward-sexp and
forward-sentence. Emacs also helpfully reports the associated bindings
with each command because suggest-key-bindings is not nil. It says
that the binding for forward-sentence is M-e, which is NOT the case
here: M-e is python-nav-forward-block.

Digging a bit, I see that the issue is that we call (where-is-internal)
in simple.el, and this is the issue:

  (key-description (where-is-internal 'forward-sentence nil t))

returns

  "M-e", even in python-mode

This maybe is related to the way this keymap is defined. python-mode-map is

  (keymap
   .... keys keys keys ...
   (remap keymap
          (mark-defun . python-mark-defun)
          (backward-up-list . python-nav-backward-up-list)
          (forward-sentence . python-nav-forward-block)
          (backward-sentence . python-nav-backward-block))
   ...
  )

I haven't read about this remap thing yet, and the docstring for
(where-is-internal) does have a NO-REMAP option, but "M-e" is reported
regardless of the value of NO-REMAP.

Thanks.





Configured using:
 'configure --build x86_64-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/28.0.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/28.0.50/site-lisp:/usr/share/emacs/site-lisp
 --build x86_64-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/28.0.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/28.0.50/site-lisp:/usr/share/emacs/site-lisp
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars
 'CFLAGS=-g -O2
 -fdebug-prefix-map=/build/emacs-snapshot-MVBGWo/emacs-snapshot-20200426+emacs-27.0.91-703-g453ada0309d=.
 -fstack-protector-strong -Wformat -Werror=format-security -Wall
 -fno-omit-frame-pointer' 'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=2'
 LDFLAGS=-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS JSON PDUMPER
LCMS2 GMP

Important settings:
  value of $LC_ALL: C
  value of $LANG: C
  locale-coding-system: nil




Acknowledgement sent to Dima Kogan <dima@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42207; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 6 Jun 2022 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.